libzypp 17.37.10

Types.h File Reference
`#include <list>`
`#include <zypp/base/PtrTypes.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::solver
namespace | zypp::solver::detail

## Typedefs
using | zypp::solver::detail::ResolverInternal = Resolver
| Preferred name in API.
using | zypp::solver::detail::ItemCapKindList = std::list<ItemCapKind>
using | zypp::solver::detail::SolverQueueItemList = std::list<SolverQueueItem_Ptr>
using | zypp::solver::detail::SolutionActionList = std::list<SolutionAction_Ptr>

## Functions
| zypp::solver::detail::DEFINE_PTR_TYPE (SolverQueueItem)
| zypp::solver::detail::DEFINE_PTR_TYPE (SolutionAction)